package waluty;

import java.math.BigDecimal;
import java.util.Scanner;

public class PrzelicznikWalutKonsola_v1 {

	public static void main(String[] args) {
		PobieranieXML pobieranie = new PobieranieXML();
		System.out.println("Pobieram aktualne kursy...");
		Tabela tabela = pobieranie.pobierzBiezaceKursy();
		System.out.println(tabela);
		
		Scanner sc = new Scanner(System.in);
		
		while(true) {
			System.out.print("\nPodaj kod waluty: ");
			String kod = sc.nextLine().trim().toUpperCase();
			if(kod == null || kod.isEmpty())
				break;
			
			Waluta waluta = tabela.wyszukaj(kod);
			if(waluta == null) {
				System.out.println("Nie ma takiej waluty.");
				continue;
			}
			
			System.out.println("Wybrana waluta: " + waluta.getNazwa());
			System.out.println("Aktualny kurs " + waluta.getKurs());
			System.out.println();
			
			System.out.print("Podaj kwotę: ");
			if(!sc.hasNextBigDecimal()) {
				System.out.println("Nieprawidłowa kwota.");
				continue;
			}
			BigDecimal kwota = sc.nextBigDecimal();
			sc.nextLine();
			
			System.out.println(kwota + " " + kod + " = "
					+ waluta.przeliczNaZlote(kwota) + " PLN");
			
			System.out.println(kwota + " PLN " + " = "
					+ waluta.przeliczNaWalute(kwota) + " " + kod);
		}
	}
}
